Subject: bug#57321: 29.0.50; doc string and customization form for variable auto-save-file-name-transforms suboptimal

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 22 Aug 2022 12:18:25 +0200

Gregor Zattler <[email-masked]> writes:

> What I meant was, that one can only toggle the value of
> UNIQUIFY from on to off and back, while this argument also
> allows for the names of some secure hashes.  Therefore for
> the sake of completeness the customization form should
> feature a value menu instead of a toggle switch.

Ah, sorry -- I misunderstood.  I've now fixed the UNIQUIFY defcustom
type.

> The doc string is upside down.  Only after reading the
> last part about the secure hashes one knows that "non-nil"
> actually means "non-nil except for the names of secure
> hashes".

Yes, true.  I've now rephrased it in Emacs 29.